makeacol(3)

NAME
makeacol, makeacol_depth - Converts RGBA colors into display dependent pixel formats. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int makeacol(int r, int g, int b, int a); int makeacol_depth(int color_depth, int r, int g, int b, int a);

DESCRIPTION
Convert RGBA colors into display dependent pixel formats. In anything less than a 32-bit mode, these are the same as calling makecol() or makecol_depth(), but by using these routines it is possible to create 32-bit color values that contain a true 8 bit alpha channel along with the red, green, and blue components. You should only use RGBA format colors as the input to draw_trans_sprite() or draw_trans_rle_sprite() after calling set_alpha_blender(), rather than drawing them directly to the screen.

RETURN VALUE
Returns the requested RGBA quadruplet.

SEE ALSO
makecol(3), makecol_depth(3), set_alpha_blender(3), set_write_alpha_blender(3), exrotscl(3)